# Inverter

The `Inverter` class is the most efficient entry point to the sdk, it provides the main API's with the preliminary required param's pre-filled.

**Import**: imported as follows

```typescript
import { Inverter } from '@inverter-network/sdk'
```

**Usage:**

```typescript
Inverter.getInstance({
    publicClient: PublicClient,
    walletClient?: WalletClient
})
```

**Returns:** Inverter instance

{% code overflow="wrap" %}

```typescript
{
  publicClient: PublicClient
  walletClient: WalletClient

  getWorkflow: (params: {
    orchestratorAddress: `0x${string}`
    requestedModules?: MixedRequestedModules
    fundingTokenType?: WorkflowToken
    issuanceTokenType?: WorkflowIssuanceToken
  }) => Promise<Workflow>

  getDeployWorklowOptions: () => {
    fundingManager: string[]
    authorizer: string[]
    paymentProcessor: string[]
    optionalModules: string[]
  }

  deployWorkflow: (params: {
    requestedModules: MixedRequestedModules,
  }) => Promise<{
    inputs: GetDeployWorkflowInputs,
    run,
    simulate,
    estimateGas
  }>
  
  deploy: {
    write: (params: {name, args}, options?: MethodOptions) => Promise<DeployWriteReturnType>
    bytecode: (params: {name, args}) => Promise<DeployBytecodeReturnType>
  }
  
  getModule: (
    params: Omit<GetModuleParams, 'walletClient' | 'publicClient' | 'self'>
  ) => GetModuleReturnType
  
  getSimulatedWorkflow: (
    params: Omit<
      GetSimulatedWorkflowParams,
      'publicClient' | 'walletClient'
    >
  ): Promise<GetSimulatedWorkflowReturnType>
  
  moduleMulticall: {
    write: (
      params: Omit<ModuleMulticallParams, 'publicClient' | 'walletClient'>,
      options?: MethodOptions
    ) => Promise<ModuleMulticallWriteReturnType>
    simulate: (
      params: Omit<ModuleMulticallParams, 'publicClient' | 'walletClient'>
    ) => Promise<ModuleMulticallSimulateReturnType>
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inverter.network/sdk/api/inverter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
